extends ButtonGenerator


func get_buttons() -> Control:
	var vbox: VBoxContainer = VBoxContainer.new()
	
	var position_label: Label = Label.new()
	position_label.text = "Позиция"
	vbox.add_child(position_label)
	var position_slider: HSlider = HSlider.new()
	position_slider.min_value = 0
	position_slider.max_value = 1
	position_slider.step = 0.01
	position_slider.set_value_no_signal(($"../Holder/Cylinder_001".position.y - 5.491)/5)
	position_slider.value_changed.connect(on_value_set)
	
	vbox.add_child(position_slider)
	
	return vbox

func on_value_set(value: float) -> void:
	$"../Holder/Cylinder_001".position.y = lerp(5.491,10.491,value)
	
